# $Revision: 1.13 $, $Date: 2004/04/10 16:53:16 $
Summary:	Utility for changing IceWM's themes
Summary(pl):	Narzdzie zmieniajce motyw graficzny IceWM-a
Name:		icets
Version:	0.8
Release:	6
License:	GPL v2
Group:		X11/Window Managers/Tools
Source0:	http://www.selena.kherson.ua/xvadim/%{name}-%{version}.tar.bz2
# Source0-md5:	93bde7e212c091759b0259c3c7fc08ad
Source1:	%{name}.desktop
Patch0:		%{name}-themes-path.patch
Patch1:		%{name}-sigsegv.patch
URL:		http://www.selena.kherson.ua/xvadim/programse.html#icets
BuildRequires:	automake
BuildRequires:	qt-devel >= 3.0.5
Requires:	icewm
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This small utility allows you to change IceWM's theme without editing
file preferences.

%description -l pl
To mae narzdzie pozwala na zmian motywu graficznego IceWM-a bez
edytowania pliku preferences.

%prep
%setup -q -n %{name}-08
%patch0 -p1
%patch1 -p1

%build
cp -f /usr/share/automake/config.* admin
%configure2_13 \
	--enable-mt \
	--with-qt-libraries=%{_libdir}
%{__make} \
	icets_LDADD="-lqt-mt -lXext -lX11"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_pixmapsdir},%{_desktopdir}}

install icets/icets $RPM_BUILD_ROOT%{_bindir}
install icets/hi32-app-icets.png $RPM_BUILD_ROOT%{_pixmapsdir}/icets.png
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README icets/docs/en/*.html
%attr(755,root,root) %{_bindir}/*
%{_pixmapsdir}/*
%{_desktopdir}/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: icets.spec,v $
Revision 1.13  2004/04/10 16:53:16  qboosh
- use qt-mt, release 6

Revision 1.12  2004/03/30 07:03:50  qboosh
- release 5

Revision 1.11  2004/03/30 06:19:53  qboosh
- use proper aux dir

Revision 1.10  2004/03/29 21:42:04  qboosh
- refresh config.sub for amd64, switched to vfolders, release 4

Revision 1.9  2003/05/28 12:59:07  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 05:48:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/02/23 23:40:23  ankry
- s/temat/motyw/g

Revision 1.6  2003/02/05 19:12:02  grzegol
- removed accidental BRs

Revision 1.5  2003/02/05 18:22:56  grzegol
- added sigsegv patch (fixes bug #551)
- fixed themes-path patch
- rel. 3

Revision 1.4  2003/01/18 22:51:58  juandon
- removed two lines with define

Revision 1.3  2002/08/29 23:28:13  blues
- release 2 - new doc, proper RB

Revision 1.2  2002/05/06 11:31:59  qboosh
- pl fix

Revision 1.1  2002/05/03 21:40:06  grzegol
- initial PLD realease (Utility for changing IceWM's themes)
STBR
